package dfatool.strategy.verification.elements;

import java.util.ArrayList;
import java.util.List;

import patterns.Subject;
import dfatool.strategy.graph.NodeIdentifier;
import dfatool.util.Pair;

public class EssentialComponents extends Subject{
	
	private static EssentialComponents instance;
	private List<EssentialComponent> essentialComponents;
	
	private EssentialComponents() {
	}
	
	public static EssentialComponents getInstance(){
		if (instance == null)
			instance = new EssentialComponents();
		return instance;
	}

	public List<EssentialComponent> getEssentialComponents() {
		return essentialComponents;
	}

	public void setEssentialComponents(List<EssentialComponent> essentialComponents) {
		this.essentialComponents = essentialComponents;
		alertAll();
	}

	
	
	

}
